String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fFormaDePago(){
	var StrFDP=document.getElementById("CboFdp").value;
	document.getElementById("TxtNdp").value="";
	document.getElementById("TxtFecVen").value="";
	if(StrFDP=="EFECTIVO"){
		document.getElementById("TxtNdp").readOnly=true;
		document.getElementById("TxtFecVen").readOnly=true;
	}else{
		document.getElementById("TxtNdp").readOnly=false;
		document.getElementById("TxtFecVen").readOnly=false;
	}
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtAc").value="C";
	document.getElementById("Frm").submit();
}
function fCls(){
	document.getElementById("TxtPro").value="";
	document.getElementById("TxtIdPro").value="";
	document.getElementById("CboMon").value="";
}
//**************************************************************************
function fProcesar(){
	var Pro=document.getElementById("TxtPro").value;
	var IdPro=document.getElementById("TxtIdPro").value;
	var Mon=document.getElementById("CboMon").value;
	if(Pro.trim().length==0){
		alert("Seleccione el cliente correspondiente");
		document.getElementById("CmdSel").focus();
		return;
	}
	if(IdPro.trim().length==0){
		alert("Seleccione el cliente correspondiente. No se puede determinar el Id");
		document.getElementById("CmdSel").focus();
		return;
	}
	if(Mon.trim().length==0){
		alert("Seleccione la moneda correspondiente");
		document.getElementById("CboMon").focus();
		return;
	}
	if(document.getElementById("CmdG").value=="Procesar"){
		document.getElementById("TxtAc").value="Procesar";
	}
	document.getElementById("Frm").submit();
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
